sdpcompute.c File Reference

Compute the gradient vector and Hessian matrix. Also compute X matrices. More...

Go to the source code of this file.

## Functions

int | SDPConeComputeHessian (SDPCone sdpcone, double mu, DSDPSchurMat M, DSDPVec vrhs1, DSDPVec vrhs2)
| Compute the Hessian to the barrier term.
int | SDPConeComputeRHS (SDPCone sdpcone, int blockj, double mu, DSDPVec vrow, DSDPVec vrhs1, DSDPVec vrhs2)
| Compute the gradient to the barrier term.
int | SDPConeComputeXX (SDPCone sdpcone, int blockj, DSDPVec DY, double mu, DSDPDualMat S, DSDPVMat X)
| Compute X.
int | SDPConeMultiply (SDPCone sdpcone, int blockj, double mu, DSDPVec vrow, DSDPVec vin, DSDPVec vout)
| Compute the gradient to the barrier term.

## Detailed Description

Compute the gradient vector and Hessian matrix. Also compute X matrices.

Definition in file sdpcompute.c.

## Function Documentation

## SDPConeComputeHessian()

int SDPConeComputeHessian | ( | SDPCone | sdpcone,
|  | double | mu,
|  | DSDPSchurMat | M,
|  | DSDPVec | vrhs1,
|  | DSDPVec | vrhs2
| ) |  |

Compute the Hessian to the barrier term.

Parameters

  sdpcone | cone
  mu | barrier parameter
  M | Schur matrix to insert elements.
  vrhs1 | dual objectvive gradient.
  vrhs2 | barrier gradient

Definition at line 30 of file sdpcompute.c.

## SDPConeComputeRHS()

int SDPConeComputeRHS | ( | SDPCone | sdpcone,
|  | int | blockj,
|  | double | mu,
|  | DSDPVec | vrow,
|  | DSDPVec | vrhs1,
|  | DSDPVec | vrhs2
| ) |  |

Compute the gradient to the barrier term.

Parameters

  sdpcone | semidefinite cone
  blockj | block of the cone.
  mu | barrier parameter
  vrow | scalar to multiply each element of gradient.
  vrhs1 | dual objectvive gradient.
  vrhs2 | barrier gradient

Definition at line 125 of file sdpcompute.c.

## SDPConeComputeXX()

int SDPConeComputeXX | ( | SDPCone | sdpcone,
|  | int | blockj,
|  | DSDPVec | DY,
|  | double | mu,
|  | DSDPDualMat | S,
|  | DSDPVMat | X
| ) |  |

Compute X.

Parameters

  sdpcone | cone
  blockj | block number in SDP cone.
  DY | step direction vector
  mu | barrier parameter
  S | dual matrix alread inverted.
  X | the result.

Definition at line 235 of file sdpcompute.c.

Referenced by SDPConeComputeX3().

## SDPConeMultiply()

int SDPConeMultiply | ( | SDPCone | sdpcone,
|  | int | blockj,
|  | double | mu,
|  | DSDPVec | vrow,
|  | DSDPVec | vin,
|  | DSDPVec | vout
| ) |  |

Compute the gradient to the barrier term.

Parameters

  sdpcone | semidefinite cone
  blockj | block of cone
  mu | barrier parameter
  vrow | scalar to multiply each element of the product
  vin | in vector.
  vout | product

Definition at line 182 of file sdpcompute.c.